package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHachStorMapper;
import com.goldenwater.slaj.hazard.domain.BisHachStor;
import com.goldenwater.slaj.hazard.service.IBisHachStorService;

/**
 * 危化品入库 服务层实现
 */
@Service
public class BisHachStorServiceImpl implements IBisHachStorService {

    @Autowired
    private BisHachStorMapper bisHachStorMapper;

    /**
     * 查询危化品入库信息
     * @param guid 查询条件
     * @return 危化品入库信息
     */
    @Override
    public BisHachStor selectBisHachStorByGuid(String guid) {
        return bisHachStorMapper.selectBisHachStorByGuid(guid);
    }

    /**
     * 查询危化品入库列表
     * @param bisHachStor 危化品入库查询条件
     * @return 危化品入库集合
     */
    @Override
    public List<BisHachStor> selectBisHachStorList(BisHachStor bisHachStor) {
        return bisHachStorMapper.selectBisHachStorList(bisHachStor);
    }

    /**
     * 新增危化品入库
     * @param bisHachStor 危化品入库信息
     * @return 影响行数
     */
    @Override
    public int insertBisHachStor(BisHachStor bisHachStor) {
        return bisHachStorMapper.insertBisHachStor(bisHachStor);
    }

    /**
     * 修改危化品入库
     * @param bisHachStor 危化品入库信息
     * @return 影响行数
     */
    @Override
    public int updateBisHachStor(BisHachStor bisHachStor) {
        return bisHachStorMapper.updateBisHachStor(bisHachStor);
    }

    /**
     * 删除危化品入库
     * @param guid 危化品入库主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHachStorByGuid(String guid) {
        return bisHachStorMapper.deleteBisHachStorByGuid(guid);
    }

    /**
     * 批量删除危化品入库
     * @param guids 危化品入库主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHachStorByGuids(String[] guids) {
        return bisHachStorMapper.deleteBisHachStorByGuids(guids);
    }
}
